/*
    Fichier datecour.c
    Auteur Bernard Chardonneau

    Logiciel libre, droits d'utilisation prciss en franais
    dans le fichier : licence.fr

    Traductions des droits d'utilisation dans les fichiers :
    licence.de , licence.en , licence.es , licence.it
    licence.nl , licence.pt , licence.eo , licence.eo-utf


    Fonction retournant la date courante dans un chaine de caractres.
    Utilise pour gnrer un fichier trace des mails dtruits par un
    filtre antispam.
*/

#include <stdio.h>
#include <time.h>
#include "datecour.h"



/* initialise la chaine datecour passe en paramtre avec la date courante */

void initdatecour (char *datecour)
{
    time_t horloge;
    struct tm *datheure;


    // rcuprer la date et l'heure courante
    horloge = time (NULL);
    datheure = localtime (&horloge);

    // transformer la date en une chaine de caractres
    sprintf (datecour, "%2d/%02d/%02d ", datheure->tm_mday,
                   datheure->tm_mon + 1, datheure->tm_year % 100);
}
