/*
    Fichier fmail.c
    Auteur Bernard Chardonneau

    Logiciel libre, droits d'utilisation prciss en franais
    dans le fichier : licence.fr

    Traductions des droits d'utilisation dans les fichiers :
    licence.de , licence.en , licence.es , licence.it
    licence.nl , licence.pt , licence.eo , licence.eo-utf


    Fonction permettant de lire une ligne d'un fichier mail
*/

#include <stdio.h>
#include <string.h>
#include "buflect.h"
#include "fmail.h"



/* Lecture d'une ligne de donnes
   la lecture s'arrte sur un caractre de passage  la ligne
   la fonction retourne la valeur 0 et un buffer vide en fin de fichier
*/

int lire_fmail ()
{
    int  fin_ligne;
    char *retour;


    // lecture
    retour = fgets (buf_lect, sz_buflect , fmail);

    // dterminer la longueur de la chaine lue
    if (retour)
        fin_ligne = strlen (buf_lect) - 1;
    else
        fin_ligne = 0;

    // terminer la chaine de caractres lue en enlevant les CR et LF
    if (fin_ligne > 0 && buf_lect [fin_ligne - 1] == '\r')
        buf_lect [fin_ligne - 1] = '\0';
    else
        buf_lect [fin_ligne] = '\0';

    // retourne une fin de fichier ventuelle
    return (retour != 0);
}
